# richtqdm

A modern and visually appealing replacement for `tqdm`, powered by [Rich](https://github.com/Textualize/rich).  
It automatically adapts to Jupyter notebooks and terminals.

## Features

- Beautiful progress bars using Rich
- Jupyter support
- Custom units (like `it`, `steps`, `samples`)
- tqdm-like API

## Installation

```bash
pip install richtqdm
```

## Usage

```python
from richtqdm import RichTqdm

for i in RichTqdm(range(100), desc="Processing", unit="items"):
    ...
```

## License

MIT License. Developed by Mahbodez.
